Skip to main content
Quotes

Get quote statuses

This method requires the QuoteStatuses:Get permission to be associated with your role.

GET
/qt/quote-statuses
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
descriptionstringquery

This field supports the wildcard % operator.

active_flagenum<string>query
Available options: yes, no
include_inactive_flagenum<string>querydefault:no

Set to yes if inactive Quote Statuses required in the list.

Available options: yes, no
pageintegerquerydefault:1
Required range: -1 <= x <= 2147483647
page_sizeintegerquerydefault:25
Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

active_flagenum<string>default:yes
Available options: yes, no
descriptionstring
quote_status_idstring
status_flagenum<string>default:active
Available options: active, inactive